<template>
  <tr class="table-row">
    <td v-for="column in columns" :key="column.key" :data-testid="column.id">
      <component :is="cellType(column, row)" v-bind="cellProps(column, row)" />
    </td>
  </tr>
</template>

<script>
export default {
  props: {
    columns: {
      type: Array,
      required: true
    },
    row: {
      type: Object,
      required: true
    },
    cellType: {
      type: Function,
      required: true
    },
    cellProps: {
      type: Function,
      required: true
    }
  }
}
</script>
